Commit 96efde19 authored by Adam Mercer's avatar Adam Mercer
Browse files

lalframe: order dependencies alphabetically

Original: c440f89b75ad7b24b10b3a3a0d351d73561929fd
parent b896b508
......@@ -2,21 +2,32 @@ Source: lalframe
Section: science
Priority: optional
Maintainer: Adam Mercer <adam.mercer@ligo.org>
Build-Depends: debhelper (>= 9), dh-python, python-all-dev, python3-all-dev, pkg-config,
zlib1g-dev, libframe-dev (>= 8.0), swig (>= 3.0.7),
liboctave-dev, python-numpy, python3-numpy, ldas-tools-framecpp-c-dev,
Build-Depends: debhelper (>= 9),
dh-python,
ldas-tools-framecpp-c-dev,
libframe-dev (>= 8.0),
liboctave-dev,
pkg-config,
python-all-dev,
python-numpy,
python3-all-dev,
python3-numpy,
swig (>= 3.0.7),
zlib1g-dev,
lal-dev (>= @MIN_LAL_VERSION@~),
lal-octave (>= @MIN_LAL_VERSION@~),
lal-python (>= @MIN_LAL_VERSION@~),
lal-python3 (>= @MIN_LAL_VERSION@~),
lal-octave (>= @MIN_LAL_VERSION@~)
lal-python3 (>= @MIN_LAL_VERSION@~)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Package: lalframe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
libframe1 (>= 8.0), ldas-tools-framecpp-c,
Depends: ${misc:Depends},
${shlibs:Depends},
ldas-tools-framecpp-c,
libframe1 (>= 8.0),
lal (>= @MIN_LAL_VERSION@~)
Description: LSC Algorithm Library Frame
The LSC Algorithm Frame Library for gravitational wave data analysis.
......@@ -26,10 +37,13 @@ Description: LSC Algorithm Library Frame
Package: lalframe-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev,
libframe-dev (>= 8.0), ldas-tools-framecpp-c-dev,
Depends: ${misc:Depends},
${shlibs:Depends},
ldas-tools-framecpp-c-dev,
libframe-dev (>= 8.0),
zlib1g-dev,
lal-dev (>= @MIN_LAL_VERSION@~),
lalframe (= ${binary:Version}),
lalframe (= ${binary:Version})
Description: LSC Algorithm Library Frame Developers
The LSC Algorithm Frame Library for gravitational wave data analysis.
This package contains files needed build applications that use the LAL
......@@ -38,9 +52,11 @@ Description: LSC Algorithm Library Frame Developers
Package: lalframe-python
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
lalframe (= ${binary:Version}),
lal-python (>= @MIN_LAL_VERSION@~)
Depends: ${misc:Depends},
${python:Depends},
${shlibs:Depends},
lal-python (>= @MIN_LAL_VERSION@~),
lalframe (= ${binary:Version})
Description: Python bindings for LALFrame
The LSC Algorithm Frame Library for gravitational wave data analysis.
This package contains Python bindings for the LAL Frame library.
......@@ -48,18 +64,22 @@ Description: Python bindings for LALFrame
Package: lalframe-python3
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
lalframe (= ${binary:Version}),
lal-python3 (>= @MIN_LAL_VERSION@~)
Depends: ${misc:Depends},
${python3:Depends},
${shlibs:Depends},
lal-python3 (>= @MIN_LAL_VERSION@~),
lalframe (= ${binary:Version})
Description: Python 3 bindings for LALFrame
The LSC Algorithm Frame Library for gravitational wave data analysis.
This package contains Python 3 bindings for the LAL Frame library.
Package: lalframe-octave
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, octave,
lalframe (= ${binary:Version}),
lal-octave (>= @MIN_LAL_VERSION@~)
Depends: ${misc:Depends},
${shlibs:Depends},
octave,
lal-octave (>= @MIN_LAL_VERSION@~),
lalframe (= ${binary:Version})
Description: Octave bindings for LALFrame
The LSC Algorithm Frame Library for gravitational wave data analysis.
This package contains Octave bindings for the LAL Frame library.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment